<?php
    class InformeGasto {
        private $idGasto;
        private $fechaRegGasto;
        private $personaEntregada; // << antes: responsableEntrega
        private $motivoGasto;
        private $montoGasto;
        private $idUsuario;

        public function __construct($personaEntregada = null, $motivoGasto = null, $montoGasto = null, $idUsuario = null) {
            $this->personaEntregada = $personaEntregada;
            $this->motivoGasto      = $motivoGasto;
            $this->montoGasto       = $montoGasto;
            $this->idUsuario        = $idUsuario;
        }

        public function getIdGasto(){ return $this->idGasto; }
        public function getFechaRegGasto(){ return $this->fechaRegGasto; }
        public function getPersonaEntregada(){ return $this->personaEntregada; }
        public function getMotivoGasto(){ return $this->motivoGasto; }
        public function getMontoGasto(){ return $this->montoGasto; }
        public function getIdUsuario(){ return $this->idUsuario; }

        public function setIdGasto($v){ $this->idGasto = $v; }
        public function setFechaRegGasto($v){ $this->fechaRegGasto = $v; }
        public function setPersonaEntregada($v){ $this->personaEntregada = $v; }
        public function setMotivoGasto($v){ $this->motivoGasto = $v; }
        public function setMontoGasto($v){ $this->montoGasto = $v; }
        public function setIdUsuario($v){ $this->idUsuario = $v; }
    }
?>